Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-1123

Allow overriding the specification version in MANIFEST.MF

    Details

    • Type: Task
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.3
    • Component/s: general/build
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      The specification version in MANIFEST.MF should only consist of
      digits. When we e. g. build a release candidate with a version like
      2.3-rc1 then we have to specify a different specification version.

      See related discussion:
      http://www.gossamer-threads.com/lists/lucene/java-dev/56611

      1. lucene-1123.patch
        1 kB
        Michael Busch

        Activity

        Hide
        michaelbusch Michael Busch added a comment -

        Committed to trunk and 2.3 branch.

        Show
        michaelbusch Michael Busch added a comment - Committed to trunk and 2.3 branch.
        Hide
        michaelbusch Michael Busch added a comment -

        This simple patch allows overriding the specification version:

        ant -Dversion=2.3-rc1 -Dspec.version=2.3 clean dist dist-src

        I'm planning to commit this today.

        Show
        michaelbusch Michael Busch added a comment - This simple patch allows overriding the specification version: ant -Dversion=2.3-rc1 -Dspec.version=2.3 clean dist dist-src I'm planning to commit this today.

          People

          • Assignee:
            michaelbusch Michael Busch
            Reporter:
            michaelbusch Michael Busch
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development